{
  pkgs,
  lib,
  config,
  ...
}:
{
  programs.zen-browser = {
    enable = true;

    policies = {
      DisableTelemetry = true;
      DisableFirefoxStudies = true;
      DisablePocket = true;

      OfferToSaveLogins = false;
      PasswordManagerEnabled = false;

      AutofillAddressEnabled = false;
      AutofillCreditCardEnabled = false;

      DontCheckDefaultBrowser = true;

      DNSOverHTTPS = {
        Enabled = true;
        ProviderURL = "https://dns.quad9.net/dns-query";
        Locked = true;
      };
    };

    profiles.default = {
      search = {
        force = true;
        default = "Startpage";
      };

      settings = {
        "browser.startup.homepage" = "https://duckduckgo.com";

        "browser.newtabpage.enabled" = false;

        "privacy.resistFingerprinting" = true;
        "privacy.trackingprotection.enabled" = true;

        "geo.enabled" = false;
        "dom.webnotifications.enabled" = false;

        "signon.rememberSignons" = false;

        "toolkit.telemetry.enabled" = false;
      };

      extensions.packages = with pkgs.nur.repos.rycee.firefox-addons; [
        ublock-origin
        firefox-multi-account-containers
        noscript
      ];
    };
  };

  home.sessionVariables.BROWSER = "zen";
}
